## kf5-kdepim-apps-libs 20.08.1

=== debian/changelog ===
kf5-kdepim-apps-libs (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:27 +0100

kf5-kdepim-apps-libs (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop now obsoleted followupreminder, kdepimdbusinterfaces and
    sendlater library and development packages.
  * Update other install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:00 +0100

kf5-kdepim-apps-libs (4:19.12.3-0ubuntu2) groovy; urgency=medium

  * Rebuild against new gpgme1.0 not providing libgpgme-pthread.so
    anymore.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jun 2020 10:34:22 +0200

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:20.08.1~),
               libkf5akonadicontact-dev (>= 4:20.08.1~),
               libkf5akonadimime-dev (>= 4:20.08.1~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 20.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:20.08.1~),
               libkf5mime-dev (>= 20.08.1~),
               libkf5pimcommon-dev (>= 4:20.08.1~),
               libkf5pimtextedit-dev (>= 20.08.1~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Replaces: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.0~),
         libkf5akonadicontact-dev (>= 4:20.08.1~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:20.08.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: grantlee library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: grantlee library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.1~),
         libkf5config-dev (>= 5.31.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 This package is part of the KDE PIM module.

## kf5-kdepim-apps-libs 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")
project(kdepim-apps-lib VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



set(KDEPIM_APPS_LIB_VERSION ${PIM_VERSION})

set(QT_REQUIRED_VERSION "5.13.0")

set(AKONADI_VERSION "5.15.3")
set(GRANTLEETHEME_LIB_VERSION "5.15.3")
set(AKONADICONTACT_LIB_VERSION "5.15.3")
set(LIBKLEO_LIB_VERSION "5.15.3")
set(PIMCOMMON_LIB_VERSION "5.15.3")
set(GRANTLEE_LIB_VERSION "5.2")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)

find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

find_package(Grantlee5 ${GRANTLEE_LIB_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_subdirectory(kaddressbookgrantlee)
add_subdirectory(kaddressbookimportexport)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ecm_qt_install_logging_categories(
        EXPORT KDEPIMAPPSLIB
        FILE kdepim-apps-lib.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
ki18n_install(po)

=== kaddressbookgrantlee/src/printing/autotests/CMakeLists.txt ===
ecm_add_test(grantleeprinttest.cpp
    NAME_PREFIX "kaddressbookgrantlee-printing-"
    LINK_LIBRARIES KF5::KaddressbookGrantlee Qt5::Test KF5::Contacts
)

=== debian/changelog ===
kf5-kdepim-apps-libs (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:04 +0100

kf5-kdepim-apps-libs (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:51 +0200

kf5-kdepim-apps-libs (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Remove libkf5followupreminder.
  * Remove libkf5kdepimdbusinterfaces.
  * Remove libkf5sendlater.
  * renamecategories is not shipped anymore.
  * Update copyright file for 20.08.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:09 +0200

kf5-kdepim-apps-libs (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
  * There is grantlee 5.2 in Debian, so:
    - drop patch lower_grantlee_dep.patch
    - bump the libgrantlee5-dev build dependency to 5.2
  * Unregister the old /etc/xdg/kdepim-apps-lib.categories, and
    /etc/xdg/kdepim-apps-lib.renamecategories conffiles.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Aug 2020 19:16:33 +0200

kf5-kdepim-apps-libs (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.
  * Update patch hunks.
  * Lower Grantlee dependency to 5.1.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:43 +0200

kf5-kdepim-apps-libs (4:20.04.0-1~1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Lower Grantlee depdendency to 5.1.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * shorten line for extended description.
  * Enable hardening all.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:22 +0200

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadicontact-dev (>= 4:20.08.3~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5contacteditor-dev (>= 4:20.08.3~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5grantleetheme-dev (>= 20.08.3~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5libkleo-dev (>= 4:20.08.3~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5prison-dev (>= 5.68.0~),
               libkf5service-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kdepim-apps-libs
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-apps-libs
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-apps-libs.git
Rules-Requires-Root: no

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.
 This package contains data files.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.2~),
         libkf5akonadicontact-dev (>= 4:20.08.3~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:20.08.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KAddressbook Grantlee support - devel files
 This library makes it possible to use Grantlee inside KAddressbook.
 .
 This package is part of the KDE PIM module.
 It contains the development files for KAddressbook Grantlee support library.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KAddressbook Grantlee support
 This library makes it possible to use Grantlee inside KAddressbook.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.3~),
         libkf5config-dev (>= 5.71.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/kdepim-apps-libs-([\d.]+)\.tar\.xz
